#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QAction *actionClose;
    QAction *actionCloseMeta;

    actionClose = new QAction(this);
    actionCloseMeta = new QAction(this);

    ui->menuHello->addAction(actionClose);
    ui->menuHello->addAction(actionCloseMeta);

    actionClose->setText(tr("Close"));
    actionClose->setShortcut(tr("Alt+C"));
    actionCloseMeta->setText(tr("Quit2"));
    actionCloseMeta->setShortcut(tr("Meta+C"));

    connect(actionClose, SIGNAL(triggered()), this, SLOT(catchAction()));
    connect(actionCloseMeta, SIGNAL(triggered()), this, SLOT(catchAction()));
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::catchAction() {
    qDebug() << "dfghjklö";
}
